Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class IssueItem

    java.lang.Object
      ix.icore.process.TimePoint
          ix.icore.process.PNode
              ix.ip2.AgendaItem
                  ix.ip2.IssueItem

All Implemented Interfaces:
  HasStatus

    public class IssueItem

extends AgendaItem

An AgendaEntry that represents an Issue.

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.AgendaItem
`AgendaItem.UndoAddHistoryEvent, AgendaItem.UndoSetComments, AgendaItem.UndoSetPriority, AgendaItem.UndoSetStatus`

Nested classes/interfaces inherited from class ix.icore.process.PNode
`PNode.MakeVarIfUnbound`

Field Summary

Fields inherited from class ix.ip2.AgendaItem
`actions, handledBy, listeners, reports`

Fields inherited from class ix.icore.process.PNode
`beginEnd, endEnd, level, modelManager, parent`

Fields inherited from class ix.icore.process.TimePoint
`tpn_mark`

Constructor Summary
`IssueItem(Issue issue)`
`IssueItem(IssueItem parent, Issue issue)`

Method Summary
`void` | `expandOneLevel(Refinement refinement, MatchEnv env)` Creates child nodes as specified by a refinement and installs ordering links.
`protected PNode` | `makePNode(PNode parent, LList pattern)` Factory method that constructs a child PNode of the right class.

Methods inherited from class ix.ip2.AgendaItem
`actionCanBeTakenNow, addAction, addHistoryEvent, addItemListener, addReport, assignStatus, clearActions, findAction, findAction, findAllActions, fireAgendaItemEdited, fireHandlerActionsChanged, fireNewHandlerAction, fireNewReport, firePriorityChanged, fireStatusChanged, getAbout, getActions, getComments, getHandledBy, getHistory, getHowHandled, getParent, getPattern, getPatternVars, getPriority, getReports, getShortDescription, getStatus, getUnboundVars, handleReportBack, hasAction, insertAction, isNew, setAbout, setComments, setHandledBy, setIsNew, setPattern, setPriority, setStatus, setStatusBasedOn, toString, wantsActionsFrom, wantsReport`

Methods inherited from class ix.icore.process.PNode
`addChild, allComputeStatus, allHaveStatus, computeStatus, ensureChildrenLinkedToParent, getBegin, getChildren, getEnd, getEnd, getLevel, getModelManager, getNameToChildMap, getParentPNode, getRefinement, getVarTable, hasChildren, isAncestorOf, isDescendentOf, isExpanded, isParentOf, isSiblingOf, processOrderings, refToTimePoint, setChildren, setModelManager, setNameToChildMap, setRefinement, setVarTable, statusFromNodeEnds, unlink, walk, walkChildren`

Methods inherited from class ix.icore.process.TimePoint
`addPostConstraint, addPreConstraint, clear, getMaxTime, getMinTime, getPostConstraints, getPreConstraints, hasUnboundedMax, removePostConstraint, removePreConstraint, setMaxTime, setMinTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IssueItem

    public IssueItem(Issue issue)

### IssueItem

    public IssueItem(IssueItem parent,
                     Issue issue)

Method Detail

### expandOneLevel

    public void expandOneLevel(Refinement refinement,
                               MatchEnv env)

  Description copied from class: `PNode`
  Creates child nodes as specified by a refinement and installs ordering links. The subnodes are constructed by a factory method so that they can be instances of a subclass of Node and to allow other, related objects to be constructed at the same time.

  Also instantiates the refinement, replacing with their values any variables that have values in 'env', and creates a map from the ids of child nodes to those children. The ids are taken from the node-specs in the refinement.

  Overrides:
    `expandOneLevel` in class `PNode`

### makePNode

    protected PNode makePNode(PNode parent,
                              LList pattern)

  Description copied from class: `PNode`
  Factory method that constructs a child PNode of the right class.

  Specified by:
    `makePNode` in class `PNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD